SELECT  C.COLUMN_NAME as COLUMN,
        T.TABLE_CATALOG || '.' || T.TABLE_SCHEMA || '.' || T.TABLE_NAME AS MODEL,
        T.TABLE_TYPE as MATERIALIZATION
        
FROM    INFORMATION_SCHEMA.MASKING_POLICY_REFERENCES AS M
JOIN    INFORMATION_SCHEMA.COLUMNS AS C
    ON  M.REF_COLUMN_NAME = C.COLUMN_NAME
    AND M.REF_TABLE_NAME = C.TABLE_NAME
    AND M.REF_TABLE_SCHEMA = C.TABLE_SCHEMA
JOIN    INFORMATION_SCHEMA.TABLES AS T
    ON  M.TABLE_NAME = T.TABLE_NAME
    AND M.TABLE_SCHEMA = T.TABLE_SCHEMA

WHERE   M.MASKING_POLICY_FUNCTION_NAME = '@mp_func_name';